Subject: Re: bug#16484: Contradictory package count
From: [email-masked] (Ludovic Courtès)
To: Andreas Enge <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Jan 2014 22:11:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Andreas Enge <[email-masked]> skribis:

> On Sat, Jan 18, 2014 at 04:39:06PM +0100, Ludovic Courtès wrote:
>> The issue is that the ‘65 packages’ lines comes from the build side log
>> (which doesn’t know the distinction between propagated inputs and the
>> rest), while the ‘51 packages’ line comes from ‘guix package’.
>> 
>> Perhaps the log should say ‘65 items’, to make it clear it’s not
>> counting the same thing.
>> 
>> Alternately, we could also remove that line altogether.
>
> Maybe we could remove both lines even? But I am happy with removing only
> one, then preferably the "65 packages" one, which is not coherent with
>    guix package -I|wc

I removed the “wrong” one, and kept the other.

Thanks!

Ludo’.